# Platform Mechanics

## Liquidation&#x20;

The liquidation condition of the smart contract at which a liquidation event can be triggered takes into account accrued fees, collateral and PnL. It is as follows:

$$
accruedFees > liqThreshold \times collateral + PnL
$$

The price at which liquidation occurs is a function of position size, average entry price, collateral, accrued fees (which include closing/funding/borrowing), and a liquidation threshold which is defaulted to be 0.99 - this threshold is put in place to act as a built-in safety net to protect the protocol from losses on a position exceeding collateral.&#x20;

$$
deltaLiqPercent = \frac{(liqThreshold \times collateral) - accruedFees}{posSize}
$$

$$
liqPrice =\begin{cases} entryPrice \times (1-deltaLiqPercent) &\text{if } LONG \ entryPrice \times (1+deltaLiqPercent) &\text{if } SHORT\end{cases}
$$

If liquidated the trader will lose all of the collateral in their position.

For example, assume a 10,000 long position on BTC/USD with 1,000 USD collateral and an entry price of 28,000. Assume the trader has held this position for a few days and has accrued total fees of $30.00. The corresponding deltaLiqPercent is 9.60% and the liquidation price would be 25,312.

{% hint style="danger" %}
**Due to the borrowing & funding fees, your liquidation price will change over time, especially if you use high leverage and have the position open for more than a few days, so it is important to monitor your liquidation price.**
{% endhint %}

## Liquidation Bounty

Besides the fee manager wallet, it is also possible for any 3rd party to trigger a qualifying liquidation. A bounty is put in place to incentivize liquidations to ensure they trigger in a timely matter (ie: liquidation is triggered before the remaining 1% of position collateral is lost due to rapid price movement).  The wallet to first liquidate the position will receive up to 10% of the total lost collateral if Mummy's bot goes down or does not trigger in time. &#x20;

## Open Interest Limits

As a risk management tool, there are Open Interest (OI) limits per user as well as for each asset and direction. OI limits for both Longs and Shorts are established to protect the protocol from total OI exceeding TVL (in this case NLP backed liquidity). These limits, for each tradable asset, will be manually adjusted over time as TVL increases.

## Profit Limits

In order to further protect the vault, we have put limits (maxProfitPercent) into place per asset for how much any one trade can profit. Each tokens will have different Max Profit Percent (MPP). See the MPP table below for more information.

&#x20;In the event that one's profit exceeds MPP of the token, then the position will be forced closed.

Example:

* Total USD of NSLP in the Vault is $2,400,000
* Max profit percent = 0.1%
* User profit = $3,000
* Max allowable profit = 2,400,000 \* 0.1% = $2,400

Therefore, user profit > max profit and the position is forced closed. The exeeded profit will be sent back to the NSLP vault.

| Token ID | Symbol   | Max Profit Percent (%) |
| -------- | -------- | ---------------------- |
| 11       | BTC      | 3                      |
| 12       | ETH      | 3                      |
| 13       | LINK     | 3                      |
| 14       | XRP      | 3                      |
| 15       | BNB      | 3                      |
| 16       | OP       | 3                      |
| 17       | SOL      | 3                      |
| 18       | ARB      | 3                      |
| 19       | ORDI     | 3                      |
| 20       | SUI      | 3                      |
| 21       | PEPE     | 3                      |
| 22       | S        | 3                      |
| 23       | TRUMP    | 3                      |
| 24       | MELANIA  | 3                      |
| 25       | AIXBT    | 3                      |
| 26       | ANON     | 3                      |
| 27       | BERA     | 3                      |
| 28       | LTC      | 3                      |
| 29       | ADA      | 3                      |
| 30       | HYPE     | 3                      |
| 31       | KAITO    | 3                      |
| 32       | stS      | 3                      |
| 33       | FARTCOIN | 3                      |
| 34       | SHADOW   | 0.1                    |
| 35       | VIRTUAL  | 3                      |
| 36       | NEAR     | 3                      |
| 37       | TIA      | 3                      |
| 38       | PENGU    | 3                      |
| 400      | GMCI30   | 3                      |
| 401      | GML2     | 3                      |
| 402      | MSTR     | 3                      |
| 403      | TSLA     | 3                      |
| 404      | AAPL     | 3                      |
| 405      | GOOGL    | 3                      |
| 406      | NVDA     | 3                      |
| 407      | NDAQ     | 3                      |
| 408      | DIA      | 3                      |
| 409      | SPY      | 3                      |
| 410      | AMZN     | 3                      |
| 411      | META     | 3                      |
| 412      | MSFT     | 3                      |
| 500      | EUR      | 3                      |
| 501      | XAU      | 3                      |
| 502      | GBP      | 3                      |
| 503      | XAG      | 3                      |
| 504      | AUD      | 3                      |
| 505      | NZD      | 3                      |
| 506      | CHF      | 3                      |
| 507      | CNH      | 3                      |
| 508      | JPY      | 3                      |
| 509      | WTI1M    | 3                      |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.navigator.exchange/trade/platform-mechanics.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
